<template>

    <div>
        <Navbar idSideMenu="mainsidebar">
            <template v-slot:navbarMenuIcon>
                <router-link to="/">
                    <b-icon icon="arrow-left" style="width: 35px; height: 35px;"></b-icon>
                </router-link>
            </template>
        </Navbar>

        <b-row class="mt-5">
            <b-col offset="2" cols="8">
                <div style="" class="">
                    <b-card
                        title="Registrar Recluso"
                        tag="article"
                        class="mx-auto"
                    >
                        <b-card-body>
                            <b-form v-on:submit.prevent="onSubmit">
                                <b-row>
                                    <b-col cols="6">
                                        <b-form-group id="input-group-1" label="Nombre:" label-for="input-2">
                                            <b-form-input
                                            v-model="nombre"
                                            id="input-1"
                                            placeholder="Nombres del recluso"
                                            ></b-form-input>
                                        </b-form-group>
                                    </b-col>
                                    <b-col cols="6">
                                        <b-form-group id="input-group-2" label="Apellidos:" label-for="input-2">
                                            <b-form-input
                                            v-model="apellido"
                                            id="input-2"
                                            placeholder="Apellidos del recluso"
                                            ></b-form-input>
                                        </b-form-group>
                                    </b-col>

                                    <b-col cols="6">
                                        <b-form-group id="input-group-3" label="Cedula:" label-for="input-2">
                                            <b-form-input
                                            v-model="cedula"
                                            id="input-3"
                                            placeholder="Cedula del recluso"
                                            ></b-form-input>
                                        </b-form-group>
                                    </b-col>
                                    <b-col cols="6">
                                        <b-form-group id="input-group-4" label="Correo:" label-for="input-2">
                                            <b-form-input
                                            v-model="correo"
                                            id="input-4"
                                            placeholder="Correo del recluso"
                                            ></b-form-input>
                                        </b-form-group>
                                    </b-col>

                                    <b-col cols="6">
                                        <b-form-group id="input-group-5" label="Telefono:" label-for="input-2">
                                            <b-form-input
                                            v-model="telefono"
                                            id="input-5"
                                            placeholder="Telefono del recluso"
                                            ></b-form-input>
                                        </b-form-group>
                                    </b-col>
                                    <b-col cols="6">
                                        <b-form-group id="input-group-6" label="Telefono familiar:" label-for="input-2">
                                            <b-form-input
                                            v-model="telefonof"
                                            id="input-6"
                                            placeholder="Telefono del familiar"
                                            ></b-form-input>
                                        </b-form-group>
                                    </b-col>
                                    <b-col cols="6">
                                        <b-form-group id="input-group-7" label="Seleccionar Celda:" label-for="input-2">

                                            <b-dropdown id="celdas" :text="sCelda" class="m-md-2">
                                                <b-dropdown-item v-on:click="selectCelda('Seleccionar Celda')">
                                                    Seleccionar Celda
                                                </b-dropdown-item>
                                                <b-dropdown-item v-for="celda in celdas" :key="celda.id">
                                                    <div v-on:click="selectCelda(celda.id)">
                                                        {{celda.id}}
                                                    </div>
                                                </b-dropdown-item>
                                            </b-dropdown>
                                            
                                        </b-form-group>
                                    </b-col>
                                </b-row>
                                
                                <b-button type="submit" variant="primary" @click="registrar">Registrar</b-button>
                            </b-form>
                        </b-card-body>

                    </b-card>
                </div>
            </b-col>
        </b-row>
    </div>
    
</template>
<script>
import axios from 'axios'
import Navbar from '@/components/utils/navbar.vue'
export default {
    name: 'regRecluso',
    components:{
        Navbar,
    },
    data(){
        return {
            nombre:'',
            apellido:'',
            cedula:'',
            telefono:'',
            correo:'',
            telefonof:'',
            celdas:[],
            sCelda:'Seleccionar Celda',
        }
    },
    methods:{
        selectCelda: function(id){
            console.log("sfd");
            this.sCelda = ''+id
        },
        onSubmit: function(){
            console.log("almenos el submit funciona")
        },
        registrar: function(){
            let $vm = this
            let idper, idrec
            let hoy = new Date()

            axios.post('https://canamanager-api.herokuapp.com/personas',{
                nombre: this.nombre,
                apellido: this.apellido,
                cedula: this.cedula,
                telefono: this.telefono,
                correo: this.correo,
            })
            .then(function(response){
                idper = response.data.id
                console.log(idper)
                console.log(response)
                axios.post('https://canamanager-api.herokuapp.com/reclusos',{
                    telefono_familiar: $vm.telefonof,
                    celda: $vm.sCelda
                }).then(function(response){
                    idrec = response.data.id
                    console.log(idper)
                    console.log(response)
                    axios.post('https://canamanager-api.herokuapp.com/historial-persona-reclusos',{
                        persona: idper,
                        recluso: idrec,
                        fecha_ingreso: hoy
                    }).then(function(response){
                        console.log(response)
                    })
                })
            })
        }
    },
    mounted: function() {
        this.$nextTick(function() {
            let $vm = this;
            axios.get('https://canamanager-api.herokuapp.com/celdas/')
            .then(function(response){
                $vm.celdas = response.data
                console.log($vm.celdas);
            })
        })
    },
}
</script>